Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Perl Image::Size Module
Name:		perl-Image-Size
Version:	3.220
Release:	1
Group:		Development/Perl
License:	GNU/GPL
URL:		NONE
Source:		Image-Size-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
# shut out AutoRequires as Win32::Registry isn't available on Linux
AutoReq:	no

%define		perlepoch	3
%define		perlversion	5.10.0

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description

%prep
%setup -q -n Image-Size-%{version}

%build
perl Makefile.PL /usr
make

%install
rm -Rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT 
# removing unwanted stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux-thread-multi/perllocal.pod" ]; then
rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux-thread-multi/perllocal.pod
fi

# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

# gzip man files
gzip $RPM_BUILD_ROOT/%{_mandir}/man1/imgsize.1
gzip $RPM_BUILD_ROOT/%{_mandir}/man3/Image::Size.3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/imgsize
%{_libdir}/perl5/site_perl/%{perlversion}/Image/Size.pm
%{_libdir}/perl5/site_perl/%{perlversion}/auto/Image/Size
%{_libdir}/perl5/site_perl/%{perlversion}/i686-linux-thread-multi/auto/Image/Size/.packlist
#%{_mandir}
%{_mandir}/man1/imgsize.1.gz
%{_mandir}/man3/Image::Size.3.gz

%changelog
* Wed Dec 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.220-1
- Initial CCux package release
